# Imagick::getOption

(PECL imagick 2, PECL imagick 3)

Imagick::getOption — Retourne la valeur d'une option

### Description

public Imagick::getOption(string `$key`): string
Avertissement

Cette fonction est actuellement non documentée ; seule la liste des arguments est disponible.

Retourne la valeur d'une option pour l'objet Imagick.

### Liste de paramètres

`key`

  Le nom de l'option

### Valeurs de retour

Retourne la valeur associée à l'option.

### Erreurs / Exceptions

Lance une exception ImagickException si une erreur survient.